Bug 984188 - Minor UI inconsistency when creating new Data Provider / DataSource
Minor UI inconsistency when creating new Data Provider / DataSource
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: BAM (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low
: ER4
: 6.0.0
Assigned To: David Gutierrez
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-13 08:35 EDT by Jan Hrcek
Modified: 2014-08-06 16:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:11:03 EDT
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
UI before fix (354.54 KB, image/png)
2013-07-13 09:09 EDT, Jan Hrcek
no flags Details
UI after proposed fix (49.04 KB, image/png)
2013-07-13 09:11 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2013-07-13 08:35:03 EDT
Description of problem:
There are 2 a minor inconsistencies in the UI when creating New Data Provider as opposed to creating New DataSource (see printscreen)

1) The link for creation is called
 - New DataSource 
 - Create new data provider

2) When these links are clicked, the title of next panel is rendered
  - Create new DataSource (rendered in table with border)
  - Creation of new data provider (rendered in div, no border)
Comment 1 Jan Hrcek 2013-07-13 09:09:35 EDT
Created attachment 773035 [details]
UI before fix
Comment 2 Jan Hrcek 2013-07-13 09:10:35 EDT
Proposing simple fix in pull request
https://github.com/droolsjbpm/dashboard-builder/pull/6
Comment 3 Jan Hrcek 2013-07-13 09:11:07 EDT
Created attachment 773037 [details]
UI after proposed fix
Comment 4 David Gutierrez 2013-07-24 07:53:06 EDT
Your pull request has been merged on master.

Github commit: https://github.com/droolsjbpm/dashboard-builder/commit/7bba799e16939a657b862636d33983022b6be1bf
Comment 5 Jan Hrcek 2013-09-04 02:49:12 EDT
The fix is only present in the master branch. Please add it also to the product branch 6.0.x. Thank you.
Comment 6 David Gutierrez 2013-09-05 12:17:01 EDT
Your pull request has been pushed to the 6.0.x branch as well.

Github commit: https://github.com/droolsjbpm/dashboard-builder/commit/2aca0c64bccdcf1080571b18e8c1d61d785f0efe
Comment 10 Jan Hrcek 2013-10-17 01:25:21 EDT
Ok, verified with BPMS 6.0.0 ER4

Note You need to log in before you can comment on or make changes to this bug.